VMware VSAN APD Issue – HPE Smart Array Controller Firmware and Driver

HPE tarafından beklenen VSAN sertifikalı HPE P416ie-m ve P204i-c smart array controller için firmware ve driver yayınlandı. Linkler aşağıdadır. Diyebilirsiniz ki ” Bu zaten normal bir durum, üretici yeni firmware ve driver zaten düzenli olarak yayınlıyor.” Haklısınız evet bu gayet normal. Ancak VSAN kullananlar ve ortamını vSphere 6.7 U2 ye upgrade etmek isteyenler yada etmiş olanlar için bu güncellemeler çok önemli. Ayrıca geçtiğimiz hafta VSAN cluster da tüm sanal makinelerim bir bakım sırasında, bir anda kapandı. Tüm VSAN cluster üyesi hostlar da ilginçtir, “APD” hatası vardı. Daha önce sizlerle paylaştığım HPE Advisory de bahsedilen bug a denk geldim ve bu fena halde başımı ağrıttı. Dolayısıyla son bir aydır devamlı takip ettiğim ve beklediğim bu güncellemenin gelmesine o yüzden çok sevindim ve sizlerle bu sıcak bilgiyi hızlıca paylaşmak istedim.

Sanal ortamda sorun yaşadığımda ESXi hostlarda görülen hata mesajı aşağıdadır.

Sanal sunucu seviyesinde de VM lerde IO error görülmekteydi.

Sorun yaşanılan driver ve firmware versiyonu aşağıdaki gibidir. Ayrıca HPE Advisory sayfasında bu ve alt versiyonlarda da sorun yaşanabileceği bilgisi iletilmiştir.

Model         : HPE P416ie-m Smart Array Controller

Firmware     : 1.98

Driver         : smartpqi

Driver    Version    : 1.0.3.2302-1OEM.670.0.0.8169922

Model         : HPE P204i-c Smart Array Controller

Firmware    : 1.98

Driver         : smartpqi

Driver Version    : 1.0.3.2302-1OEM.670.0.0.8169922

HPE tarafından önerilen ve VMware inde vSphere 6.7 U2 test edip onayladığı versiyonlar ise aşağıda gibidir. Eğer ortamınızı 6.7 U2 upgrade ettiyseniz ve VSAN HPE Synergy sunucular üzerinde çalışıyorsa, acil bu versiyonlara geçmeniz tavsiye edilmektedir.

Önerilen firmware versiyonu 1.99, driver versiyonu da 1.0.3.2309-1OEM.670.0.0.8169922

HPE Firmware Link: https://support.hpe.com/hpsc/swd/public/detail?swItemId=MTX_a0d218762f5e49a3861d982817#tab-history

VMware Driver Link: https://my.vmware.com/web/vmware/details?downloadGroup=DT-ESXI67-MICROSEMI-SMARTPQI-1032309&productId=742

HPE Advisory Link: https://support.hpe.com/hpsc/doc/public/display?docId=emr_na-a00071158en_us

Bu arada HPE Synergy sunucular üzerinde VMware VSAN kullanıyorum. Önerilen son çıkan HPE Synergy SPP bundle paketinin de yukarıdaki driver ve firmware upgrade öncesi ortamda bulunan HPE SYnergy şase ve blade sunucular geçilmiş olmasıdır. Sonrasında yukarıdaki paketleri yüklemeniz tavsiye edilendir.

VMware VSAN Compatibility Guide websitesinden de güncel versiyonları takip edebilirsiniz.

Link : VMware VSAN Compatibility Guide

Bu siteye ulaştığınızda eğer benim gibi VSAN ready node kullanmıyorsanız, o zaman sayfanın orta kısmında bulunan linke “Build Your Own based on Certified Components.” tıklayın, sonrasında uyumluluğunu kontrol etmek istediğiniz ürünün modelini yazın, bu şekilde kolaylıkla uygun firmware ve driver versiyonunu bulabilirsiniz.

Data kaybına veya servis kesintisine uğramamak adına acil aksiyon almanızı tavsiye ederim.

Bu gibi konularda her zaman bana destek olan VMware TR ve HPE TR ekibine de iş birliktelikleri için ayrıca teşekkür ederim.

Reklamlar